## maevies 0.1-1

=== Makefile ===
PYTHON=/usr/bin/python2.5
DESTDIR=/
BUILDIR=$(CURDIR)/debian/maevies
PROJECT=maevies

all:
	@echo "make source   - Create source package"
	@echo "make install  - Install on local system"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean    - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root=$(DESTDIR) $(COMPILE)

deb:
	# build the source package in the parent directory
	# then rename it to project_version.orig.tar.gz
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	# build the package
	dpkg-buildpackage -us -uc -rfakeroot -sa -S

clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST
	find . -name '*.py[oc]' -exec rm {} \;

=== debian/changelog ===
maevies (0.1-1) unstable; urgency=low

  * Initial release

 -- Simón Pena Placer <spenap@gmail.com>  Mon, 28 Jun 2010 23:52:04 +0200

=== debian/control ===
Source: maevies
Section: user/utilities
Priority: extra
Maintainer: Simon Pena Placer <spenap@gmail.com>
Build-Depends: debhelper (>= 5), python-support (>= 0.9),
 python-runtime | python2.5-runtime
Standards-Version: 3.7.2
XB-Bugtracker: mailto:spenap@gmail.com
XB-Homepage: http://gitorious.org/butaca/maevies

Package: maevies
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-hildon | python2.5-hildon, python-gtk2 | python2.5-gtk2,
 python-gobject | python2.5-gobject,
 python-webkit | python2.5-webkit, python-dbus | python2.5-dbus,
 butaca-server
XB-Maemo-Display-Name: Maevies
Description: Application providing movie information
 Butaca is an application aimed at providing different movie
 information:
 .
 * Rating, Overview, popularity...
 * Know whether the movie has extras after or during the~
 credits
 .
 To achieve that, different data sources are integrated, such as
 The Movie Database[1] or What's After The Credits[2]
 .
 This package provides Maevies, a python client for Maemo
 .
 [1] http://www.themoviedb.org
 [2] http://whatsafterthecredits.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGHg8PJh4+nuoAABHSSURBVGjexVltbFTnlX7OvXfuvfPtscc2MPgD
 MBgKwa5NCJbZlC5VklK1EqRppUbpJtE25M9W6o/u9lerlfqrtOm2f5ItiqJq
 V9tEDURtk6ZKk5BKKR8GzBhj8LfxeLDHX+PxfNyZ+3n2R+ZOx5gQaNPdK41s
 j8593/d5zznPec4x4f/w2bt3L23dupWYWejv78fMzIx1BzMJQOiRRx4JP/DA
 A1tHRkb2DQ0N7dc07WEiitbV1f3b0NDQj6qN/27Prl27qLm5mdrb24Xe3l7+
 +te/bl+9epUBOK7NCy+84P/FL34RSafTdUeOHPlMNBrtCIfDHTU1NXvb2toa
 NE3jN998kwBIRAQiOvqFL3zhf959990kANCneeCenh7K5XKUz+fp5s2bDgC+
 g1lDV1dXPTNvXFhYaHccp2N5eblj48aNe37wgx/4HnzwQdi2DY/Hg0wmgx/+
 8Id4++23Ky/X1tZasVjs4ODg4IVPzQPf/e536cSJE3zu3DmuPvTMzIzU1dXV
 0tnZuWnv3r3Nfr9/VywW2xOPx/ecPn162/LyMizroyjatm0bOjo6EIlEsLq6
 img0iv7+fj5//nz1VpTP56XV1dVdAD49ACdOnGAA+NznPlejqmrL1NRU0+Li
 4taOjo72o0eP7j148ODuQCAQqa+vx7Zt2zAxMYH5+fk1axw+fBj19fWcz+fh
 OA4Vi0UMDg5iZWXFjRIGAFEUUVtbu+/s2bO/2rx5s/63Amhub2/fduTIka2b
 Nm3a9pvf/Gb7hx9+uMPj8bRnMhnF5/Ph0KFDOHz4MPL5PERRxOzsLC5fvoyq
 Q1F9fT06Ozvh8XhI13X4fD4kk0lcunQJVR4lAPjsZz+L/fv3H3jxxRdrAczd
 MwBmlh5//PH2wcHBzzDz9mPHjrV1dXVtUVV1azgcbk4kEkin0ygUCpV3tm/f
 jt27d4OZUSqVEI1GeXBwEBcvXqSqg3Fvby81NjZyqVQiZkYgEMD58+dx4cKF
 dTm6f/9+xGIxz89+9rNPZKG69vb2z3R1de28cePGrrq6ui3M3LyysrKtvb09
 fPjwYezbtw/MjEgkgp/+9Ke4fv36mgUeeeQRDofDKBQKREQwDAPXrl2jbDa7
 JrkPHTqExsZGKhQKkGUZhUIB8Xi8chk+nw9EVFRVdTiXy11bWVl5NZlMzt8O
 YFt3d3fn5z//+d3bt2/fuXHjxqaWlpZN77zzTuxPf/qTkk6nK4adnZ3Yv3+/
 A4A0TcP09DTOnj1bHasUCATQ09NDXq+Xl5aW4Pf7MT09jYsXL3I1+7W1tWHH
 jh1wHAfFYhHZbBYjIyO4cuXKgqIog36//6qqqtf8fv9UQ0PD7MsvvzwDQFtT
 B773ve/95PDhw4cbGhqaFUWJrK6uIpfLIRAIYGJiArOzs06ZuwWfz4evfOUr
 RERCPp9HIBBAX1+fG69urPJDDz1ETU1NYGaSJAnBYBDDw8NUZQcA2LlzJ2Zm
 ZvSJiYnRVCp1yTCMq6lUajiRSMx3d3cv/vnPf54jIhsAxsbG7lj1sGPHjn/p
 6ury1NbWYmlpCalUygqHw7ywsCBMTU1R+VASAG5ra6Pu7m4IggDLskBEfOXK
 FSQSiTV09+Uvfxn19fVYXl6GYRi4desWrl69Cl3XORAILPp8viFFUQYsy4rH
 4/Hh3/3ud/PJZHIZQM5dZHx8HEQEAEIsFhO8Xq/j8/m4XAz/AsCyrGs+n283
 AHl6etpZXl4WW1tbiYjw3HPP8fz8POLxOADQY489hrq6Oi4Wi+T3+zEzM0Pn
 zp1bS03Nzdi0aROWl5ftGzduZBcXF2dnZ2cHrly5MlBbW3s1FAqN79q1a+X7
 3/9+rqenx7j9Vl966SXplVdeoUQi4YTDYWd4eNi5deuW87HZ+u1vf/uFdDqt
 MzPH43E+ffo0JxIJnpmZ4ZGREX755ZedaDTKXq/X+fDDDx3HcTiVSvHy8jK/
 9NJLHA6HGYCpKMpyTU3NVE9Pz3vHjx9/4YknnvinAwcO7AEQ+LSr/hoPrK6u
 nkskEscDgYAMAIZhYGlpCYZhoFQqoa2tDc899xyPjY1BFEUaGRnB4uJiQdf1
 pUuXLi1rmjbR0tIyEAqFBiKRyMA3vvGN1PPPP29+3KaxWExobGyk9vZ29nq9
 AABZljE7O0vxeBymaUIURdi2DVVV0dXVhdbWVhiGAVEUYVkWrl+/7rz//vtM
 AHD06NGdTz755Nljx45FJiYmcP78ed6wYQMMw4BpfnQOy7IokUggk8mMmab5
 q8uXL1959913hx3HGcb/4yMBwBtvvHGrp6fnzNDQ0LHJyUmsrq5STU0NdF2H
 YRgwDIOJCF6vFzdu3Fg4efLk6wCuAfA99dRTwYcfflgcGhqSJycnpd/+9rci
 AKH8cQmADhw4IAiCAMMwyHEcikQilEwmKZlMUigUIsdxkM1mKRKJUH19Pdm2
 TaZpUl1dHfn9fmQyGXIcBx6PRyqVSkY8Hh8HkKvE5dGjR5959NFHT5qmKeq6
 jlgshmKxyLZtwzRNOI4DQRAol8vx2NjY1YGBgfHR0VGPJEmyIAiirutCLBaj
 b37zm9zc3Cysrq4KqqoSAPG9994TXnvtNfJ4PIIsy6TrOrW2ttKzzz4rtLa2
 Ui6XE8LhMEZHR4Wf//zntLS0JPh8PnIch5hZeOqpp+iLX/wiMpkMSZIkW5al
 DQ4OfvDjH//4+Uohi0QiNd3d3aKmabhw4QJ7PB7IskypVAqWZTEzw+Px8JYt
 W2jDhg0dhUKh49KlS2D+S1EtlUoIhUL40pe+hFwuB0EQ4PV6EQqF8PbbbyOd
 TqNYLFYoUlEUPProo8hmswgEAujo6MClS5dw+vRpZLPZyrrJZBI7d+5EfX09
 DMOAruvQdb0dwPOCG0rBYHDT5s2bIQgC8vk8ysWHRVFkSZIgiiKJoohAIACf
 z4fOzk50d3eviUfDMPDiiy/i+vXrCAaDKJVK0DQNPT09ePrpp9fYWpaFkydP
 YmhoCMFgEJlMBrW1tTh+/Dhisdga2zfffBOnTp0CEYGZYds2FEUBynFa1mps
 uqHiOA5SqRSlUilIkgRFUVBmC5qamsLc3BxkWcahQ4fQ1tZWrWv42rVr/Oqr
 r0LTNCiKgmKxyKqq4qtf/Sr27NmzzvbXv/41F4tFSJKEfD6Pzs5OfOtb36pW
 qwCAV155hQcGBjgUCrHbQwCAWP4p9PT0/GNXV9c/hMNhFItFvPXWW/TOO+9g
 ZGQE/f39GBwcpHA4jGg0WgF58OBBbNmyBX/84x+pOpSGh4dp3759aG9vh23b
 KJVKtHnzZoiiiD/84Q9r6sHY2Bj2799PO3bsgKZp8Hq9aGpqwtDQEKanpysy
 Op1OQ1EUHDx4EKIo0tTUFN54441/d9cRvvOd7/xodHSUi8Uir6ysOM8++6zb
 Xbk9LPf29nJ/fz/Pzc3x+Pg4Z7NZTqfT/Mwzz1TbMgB+7LHHeHx8nA3D4IWF
 BS4UCpxMJvlrX/va7bbO448/zpOTk1wsFnl+fp51XedTp05xbW3tGlufz8en
 Tp1y8vk8//KXv+RqD3BnZ2d7U1PTEUEQ4PF4SFVVXL58mdPpNARBADPTwsIC
 du/ejQceeACiKCKdTkMURRZFkfr6+pDNZtm1nZ6exsaNG9HQ0MDLy8uUTCYB
 gHVdp76+PpRKJZYkCY7jIJFI0IYNG+Dz+ZBIJDA3Nwciwvz8PI+MjJDH44Eg
 CKzrOkzTJL/f74yMjAx88MEH/1lx5xNPPFFrGMZPisXi07ZtAwDm5uY4nU6j
 vBHZto2amho0NDRUEkoQBLZtmxYXF5HNZlkURZTpDzU1NYhEIgyAbNuGIAhs
 mial02mUSiUWBAGO48C2bYpEIggGg2BmOI4DURRRKpV4eXmZAICI2KXy2tpa
 MxAI/Ou5c+f+Y008qqr6pMfj+e9cLgdZlhEMBuH1emHbNjuOQ6IoYmVlBaZp
 QpIkVylCURSoqgpRFCFJkssKyOfzKBaLKI9D4DhOZV1BEKqaPaZ8Pg9d16u/
 h9frhdfrXUPVuq7DsiwjEon888TExH+5dUAA4LS2torMDCKCaZrs8XioWCzC
 5/PB6/VyLpfD9u3bkcvlUCqVXO4nXdc5FApBURTK5/MgIi5fCMrFrLqv5TIJ
 VF8eu4e97SHLstb0xJIkubXFW92RMQDcvHlTOnLkCI4dO4ZEIgGv18vxeBxE
 hC1btlAikeBNmzZhcXGRXn/9dRARduzYwX6/H3V1dZROp/natWsQRZFcEG6H
 dtvvfNvM6HaQt9MolT21bpa1pid2K6miKPD7/RSNRhGLxRAKhbi+vh6CIFA4
 HEZTUxP6+vowPz+Prq4u6u3txYULF9Df309VcVGhVjfUqjavtrvTwXGH76rf
 uTOApqYmjI2N4cSJEzBNE9FolPP5PNra2iBJEmZnZxGNRsHM8Pv9kGUZfX19
 PD8/T7Ozs8hkMqyq6roDugRARExlNI7jsJsz1Qe6fRhym/fK90F3BhAMBrGy
 sgKfzwdVVZHP58m2bVy/fp2JCLIsI5fLgZkhyzJaW1thWRbNzc3B4/Ggo6Oj
 srKbsOFwmEqlEvx+P3RdJ8uyIIoiFEUhTdOQy+W4OnHv5gG3jU2lUpUcXAMg
 lUqht7cXDz/8MEZHR1FTU8NlVQpZlvH+++9jZmYGPp8PhmGsYRHLsmDbduWW
 dF1HJBJBQ0MDExHt27cPmqax4zhkWRY2btzI58+fx5kzZ+D3+z/OC2s8QESw
 bduV1esBuAiXlpawsLAAQRBg2zYsy0IkEsH09DQmJiYQCAQ+sdHQdR11dXXw
 +XxIpVKYnJxEWRTCNE2EQiFMTExgamoKiqLcLYyqh2sgIqiqWjnDGgCNjY2Y
 nJzE6OgoAGB0dLQyXPJ6vdA0DTU1NbiLy9dspigKZFnG/Pw8hoaG/qIgP6rW
 ruK9p8NXJ6/7/joAHo8H2WwWZS6HW7wAcDabhSRJFS99ElOYpul+yO15JUla
 Y+s4DnRdv9vp77i2KIoVZlsDwI0tNybdXsC98XuJU3czwzAQCATg9/tZVVXK
 5/PweDzM/FEfrigK34Mn163t0rPjOOsBZLNZbNiwAW1tbXBnmaVSqWJ8P49p
 mgiHw2hpaanoJvf2AKBQKKBMrfe8piAIME0Tk5OTlc5uXSGTZbki1hYWFmhs
 bAzZbJbvwtd3dLNhGIhEInAch4gIDz30EFKpFNXW1oKZ8fvf/55u3boFWZbv
 K4SYGZZlIRgMrgegqipKpRISiQRM02Tbtqk8GYYgCHyXTW6vpmyaJmpqauDx
 eGh8fJwty4KmaaQoCjuOg7m5OVpdXXXF3z2t7V6gKxzXAfB6vcjn85icnHRL
 HlcpzHvSK1VFhwVBgCRJnEwm6erVq1BV1c0BFkXR5fX7Xrtanki301R50zWI
 q/WK+2KVzqGqv6srcaUn2LZtG+rq6iDLckULuUxyP1rIrUuZTAa6rq8H4Cab
 WyxM02SXXt1ENk0TRFShsvLIhXw+H2RZrihGdyyYyWQ4FAqR1+t1w/B2xrpn
 FipTOBUKhQqVrwGwtLSErq4u7Ny5EwMDA9i8eTMJgoCbN2+y3++HJEmIxWKw
 LAvlrgpNTU3k9/sRj8cxMTFBblWtGoFU3/adEv6+64Asy4hGo+sB6LoOv9+P
 trY2FItFRCIRVhQFkiRVGommpiZomgZX3DU3N7Nt2zQ8PAzTNLkqX9ywYtu2
 K5H2t3jA9e7HyumGhgbcvHkTZ86cgaqqWFxcrBxe0zRomoa5uTk4jgPLsuD3
 +7G6uopCoYBgMIje3t6/6yDX1VHJZBKapq0HYBgGZFmGO4dRVdWtyFAUBYVC
 odILExFyuRzKI0hkMhlomnZPOumvfVzWsiwLHo+H1gEoFouSqqpoamqCYRjc
 2NhIoijC6/VyOp1GLpdDS0sLyv+MRj6fh9frJUEQ8NZbb2F4eJjKDc0nxvFf
 kwPMzEQEn88nNjY2SusAhMPhYjqdxpUrV8DMNDo6WmGh8jQAY2NjsG27Mv4o
 976kaRrC4TCXCwzdRc/81TlQ1dg7juPkKwAefPBBXLx4EQ0NDYPpdHpsampq
 e7VgKlfiCo26ctb96dKuK43vR9/cz+Ou7fF4xiRJigPA/wJKOVeo2OakSgAA
 AABJRU5ErkJggg==

## maevies 0.1-2

=== debian/changelog ===
maevies (0.1-2) unstable; urgency=low

  * Notify the user when the backend is not available
  * Changed bugtracker to point to garage
  * Escape text before aplying markup
  * Added About dialog
  * Invoke butaca's 'quit' method on exit

 -- Simón Pena Placer <spenap@gmail.com>  Tue, 24 Aug 2010 20:49:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), python-support (>= 0.9),
  python-runtime | python2.5-runtime
 Standards-Version: 3.7.2
-XB-Bugtracker: mailto:spenap@gmail.com
+XB-Bugtracker: https://garage.maemo.org/tracker/?group_id=1093
 XB-Homepage: http://gitorious.org/butaca/maevies
 
 Package: maevies

## maevies 0.1-3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../
 	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
 	# build the package
-	dpkg-buildpackage -us -uc -rfakeroot -sa -S
+	dpkg-buildpackage -rfakeroot -sa -S -i -I.git* -I.project -I.pydevproject -I.settings
 
 clean:
 	$(PYTHON) setup.py clean

=== debian/changelog ===
maevies (0.1-3) unstable; urgency=low

  * Minor fix: bump butaca-server required version to 0.1-2
  * Added an upgrade description

 -- Simón Pena Placer <spenap@gmail.com>  Tue, 24 Aug 2010 21:50:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 Standards-Version: 3.7.2
 XB-Bugtracker: https://garage.maemo.org/tracker/?group_id=1093
 XB-Homepage: http://gitorious.org/butaca/maevies
+XB-Maemo-Upgrade-Description: Several fixes and improvements
+ * Updated butaca-server required version
+ * Added About dialog
 
 Package: maevies
 Architecture: all
@@ -14,7 +17,7 @@
  python-hildon | python2.5-hildon, python-gtk2 | python2.5-gtk2,
  python-gobject | python2.5-gobject,
  python-webkit | python2.5-webkit, python-dbus | python2.5-dbus,
- butaca-server
+ butaca-server (>= 0.1-2)
 XB-Maemo-Display-Name: Maevies
 Description: Application providing movie information
  Butaca is an application aimed at providing different movie

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APP_NAME	= maevies
PYTHON		= /usr/bin/python2.5
SETUP		= ${PYTHON} setup.py

ROOTDIR		= debian/${APP_NAME}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	${SETUP} build
	#docbook-to-man debian/maevies.sgml > maevies.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/maevies.
	${SETUP} install --no-compile --root='$(ROOTDIR)' --prefix='$(PREFIX)'

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## maevies 0.2-2

=== debian/changelog ===
maevies (0.2-2) unstable; urgency=low

  * Fixed changelog

 -- Simón Pena Placer <spenap@gmail.com>  Thu, 30 Jun 2011 00:33:29 +0300

maevies (0.2-1) unstable; urgency=low

  * Allow setting/unsetting a movie as favorite
  * Save and load the list of favorite movies
  * Show a "no items" label when the views (favorites,
    search results) are empty

 -- Simón Pena Placer <spenap@gmail.com>  Wed, 29 Jun 2011 22:55:07 +0300

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
 Standards-Version: 3.7.2
 XB-Bugtracker: https://garage.maemo.org/tracker/?group_id=1093
 XB-Homepage: http://gitorious.org/butaca/maevies
-XB-Maemo-Upgrade-Description: Several fixes and improvements
- * Updated butaca-server required version
- * Added About dialog
+XB-Maemo-Upgrade-Description: Support for favorite movies
+ * Allow marking / unmarking a movie as favorite
+ * Automatic save and load of favorite movie list
+ * Display a message when the queries don't return results
+ * Display a message when the favorites view is empty
 
 Package: maevies
 Architecture: all
